

### 万达管理说明书附加数据----新增数接口定义----2021.01.26

#### 1.查看数据是否填写完整

请求地址： 

http://127.0.0.1:8088/data/addData/checkComplete

请求参数：

```****
{
"projectId":"1000265",     //项目广场id。必填 
"floor":"b2",              //楼层编码，必填
"systemCode":"1003"        //专业系统编码，必填
}
```

返回参数：

成功：

```

{
    "result": "success",                      //状态信息 success:调用成功  fail:调用失败
    "data":{
    "isComplete":"false",                       //是否完整， true: 完整  false ：不完整
    "desc":"数据填写不完整，请检查并完善"         // 描述信息
    }
}    
```

失败：

```
{
    "result": "fail",             //状态信息 fail:调用失败
    "message": "必填项不可为空"     //描述信息
}  
```



#### 2.消防系统数据预览/数据回显 

请求地址： 

http://127.0.0.1:8088/data/addData/previewFireControl 

请求参数： 

```
{
"projectId":"1000265",     //项目广场id，必填  
"floor":"b2",             //楼层编码，必填 
"systemCode":"1003",     //专业系统编码，必填 
"getTotal":"1"            //是否获取总数,0:不获取,1:获取，必填
}
```

返回参数： 

```
{
    "result": "success",            //状态信息 success:调用成功  fail:调用失败
    "data":{
    	"infoList":[{
   			"fireZone":"C1-9",      //防火分区,如果没有值，则没有该行数据
             "isFm": "1",         //是否属于工程物业管理范围，0：否，1：是,如果没有值，则没有该行数据
 			"hostNum":"2",          //主机编号,如果没有值，则没有该行数据
	 		"loopNum":"5",          //回路编号,如果没有值，则没有该行数据
			 "smokeCount":"20",      //烟感数量,如果没有值，则没有该行数据
			 "warmCount":"12",       //温感数量,如果没有值，则没有该行数据
			 "handNewCount":"13",    //手报数量,如果没有值，则没有该行数据
 			"fireHydrantCount":"15",  //消火栓数量,如果没有值，则没有该行数据   
 			"moduleCount":"33"       //模块数量,如果没有值，则没有该行数据
   			 },{
    		"fireZone":"C1-10",      //防火分区,如果没有值，则没有该行数据
 			"isFm": "0",            //是否属于工程物业管理范围，0：否，1：是,如果没有值，则没有该行数据
 			"manageScope":"范围11"   //管理范围,如果没有值，则没有该行数据
    		} ],
    		"totalCount":{            //总数量,当传入的参数getTotal的值为1时有该数据
			 "smokeTotalCount":"20",      //烟感总数量
			 "warmTotalCount":"12",       //温感总数量
			 "handNewTotalCount":"13",    //手报总数量
 			"fireHydrantTotalCount":"15",  //消火栓总数量   
 			"moduleTotalCount":"33"       //模块总数量
    		}
    }      
}    
```

注： 当数据全部为空时返回结果： 

```
{
    "result": "success"      //状态信息 success:调用成功  fail:调用失败
}
```



#### 3.弱电系统数据预览/回显

请求地址

http://127.0.0.1:8088/data/addData/previewWeakCurrent 

请求参数：

```
{
"projectId":"1000265",     //项目广场id，必填 
"floor":"b2",             //楼层编码，必填
"systemCode":"1004",     //专业系统编码，必填
"getTotal":"1"            //是否获取总数,0:不获取,1:获取，必填
}
```

返回参数：　

```
{
    "result": "success",            //状态信息 success:调用成功  fail:调用失败
    "data":{
    	"infoList":[{
   			"fireZone":"C区",      //分区,如果没有值，则没有该行数据
 			"monitorCount":"2",   //监控系统数量,如果没有值，则没有该行数据
 			"baCount":"3",        //BA系统数量,如果没有值，则没有该行数据
 			"ddcCount":"4",       //DDC数量,如果没有值，则没有该行数据
 			"accessCount":"20"    //门禁系统数量,如果没有值，则没有该行数据
   			 },{
    		"fireZone":"C区",      //分区,如果没有值，则没有该行数据
 			"monitorCount":"2",   //监控系统数量,如果没有值，则没有该行数据
 			"baCount":"3",        //BA系统数量,如果没有值，则没有该行数据
 			"ddcCount":"4",       //DDC数量,如果没有值，则没有该行数据
 			"accessCount":"20"    //门禁系统数量,如果没有值，则没有该行数据
    		} ],
    	"totalCount":{                 //总数量,当传入的参数getTotal的值为1时有该数据
 			"monitorTotalCount":"2",   //监控系统总数量
 			"baTotalCount":"3",        //BA系统总数量
 			"ddcTotalCount":"4",       //DDC总数量
 			"accessTotalCount":"20"    //门禁系统总数量
    		}
    }      
}  
```

注： 当数据全部为空时返回结果： 

```
{
    "result": "success"      //状态信息 success:调用成功  fail:调用失败
}
```



#### 4.消防系统编辑完保存

请求地址： 

http://127.0.0.1:8088/data/addData/saveFireControl 

请求参数： 

```
{
"projectId":"1000265",     //项目广场id，必填 
"floor":"b2",             //楼层编码，必填
"systemCode":"1003",     //专业系统编码，必填
"data":[{                //下面的数据至少有一项有值
 	"fireZone":"C1-9",      //防火分区
 	"isFm": "1",            //是否属于工程物业管理范围，0：否，1：是，必填
 	"hostNum":"2",          //主机编号
	 "loopNum":"5",          //回路编号
	 "smokeCount":"20",      //烟感数量
	 "warmCount":"12",       //温感数量
	 "handNewCount":"13",    //手报数量
 	"fireHydrantCount":"15",  //消火栓数量   
 	"moduleCount":"33"       //模块数量
	},{
	"fireZone":"C1-10",      //防火分区
 	"isFm": "0",            //是否属于工程物业管理范围，0：否，1：是 ,必填
 	"manageScope":"范围11"   //管理范围
	}]
}
```

返回参数： 

```
{
    "result": "success",     //状态信息 success:调用成功  fail:调用失败
    "message": "保存成功"     //描述信息
}    
```



#### 5.弱电系统编辑完保存

请求地址： 

http://127.0.0.1:8088/data/addData/saveWeakCurrent

请求参数：

```
{
"projectId":"1000265",     //项目广场id，必填 
"floor":"b2",             //楼层编码，必填
"systemCode":"1003",     //专业系统编码，必填
"data":[{
 	"fireZone":"C区",      //分区
 	"monitorCount":"2",   //监控系统数量
 	"baCount":"3",        //BA系统数量
 	"ddcCount":"4",       //DDC数量
 	"accessCount":"20"    //门禁系统数量
 	 },{
 	 "fireZone":"D区",      //分区
 	"monitorCount":"2",   //监控系统数量
 	"baCount":"3",        //BA系统数量
 	"ddcCount":"4",       //DDC数量
 	"accessCount":"20"    //门禁系统数量
 	 } ]
} 	 
    
```

返回：

```
{
    "result": "success",     //状态信息 success:调用成功  fail:调用失败
    "message": "保存成功"     //描述信息
}   
```



### 万达管理说明书新增数据接口定义----2021.01.26--------end





#### 已开发 基础接口:  记录PV/UV

请求地址

```
Post /data/pvuv/save
```
请求参数
```json
{
    "type": "操作类型:页面跳转/弹框,前端自定义,必传",
    "target": "操作目标:跳转页面地址,路由地址,弹框名称等,必传",
    "parameter" : "操作参数:页面参数,弹框参数等",
    "app":"PC"//区分记录来源，取值范围：“PC”,"H5",必传
}
```


#### 已开发 基础接口: 登录校验接口

接口说明
请求地址
```
GET: /data/auth/check
```

请求参数

```
returnTree=true 选填，true:返回管理分区下拉框 false：不返回管理分区下拉框 不填：不返回管理分区下拉框
```
返回内容
```json
{
    "result": "success",
    "plazas": [//当前用户有权限的广场列表
    	{
    		"plazaid": 1000423,
            "plazacode": "DLGX"
    	}
    ],
    "level":1, //1集团 2中心 3区域 0广场 用户权限等级
    "ccode":"0000000000", //组织编码
    "treeData":[//管理说明书下拉框 returnTree=true时返回
        {
            "cid":2,
            "ccode":"0000000000",
            "cname":"商管集团",
            "orgode":"103000",
            "companyid":103000,
            "invalid":1,
            "level":1,//1集团 2中心 3区域 0广场
            "children":[
                {
                    "cid":1,
                    "ccode":"1000000002",
                    "cname":"华北运营中心",
                    "orgode":"134212",
                    "companyid":5503,
                    "invalid":1,
                    "level":2,//1集团 2中心 3区域 0广场
                    "cparentcode":"0000000000",
                    "children":[
                        {
                            "cid":12,
                            "ccode":"966bf3db-8f4f-4b45-a230-75f6210326d6",
                            "cname":"青岛区域",
                            "orgode":"134097",
                            "companyid":5506,
                            "invalid":1,
                            "level":3,//1集团 2中心 3区域 0广场
                            "cparentcode":"1000000002",
                            "children":[
                                {
                                    "cid":31136539,
                                    "ccode":"1002347",
                                    "cname":"日照万达广场",
                                    "orgode":"149192",
                                    "companyid":5904,
                                    "invalid":1,
                                    "level":0,//1集团 2中心 3区域 0广场
                                    "cparentcode":"966bf3db-8f4f-4b45-a230-75f6210326d6",
                                    "longitude": "121.539895",//经度
                                    "latitude": "38.868134",//纬度
                                    "province": "辽宁省",//省份
                                    "prefectureLevelCity": "大连市",//地级市
                                    "countyLevelCity": null,//县级市
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ],
    "permissions": [ "GLSMS_VIEW", "GLSMS_SYMBOL_MANAGE" ]
}
```

#### 已开发 基础接口: 查询楼层清单
接口说明
```
根据广场id查询广场的楼层（字典）清单
这里的字典是指F1、F2、B1这种标准的楼层代码，通过该代码可以和《铺位可视化》系统进行数据交换
```
请求地址
```
GET: /data/plaza/floor
```

请求参数
```
plazaId=XXYY
```
返回内容

```json
{
    "result": "success",
    "data": [
        {
            "code": "F6", //管理说明书楼层展示使用
            "gname": "f6",
            "gcname": "f6"
        },
        {
            "code": "F5", //管理说明书楼层展示使用
            "gname": "m4", // 蜂鸟图楼层编码
            "gcname": "f5"  // 工程信息化楼层,后续接口传入gname参数的值取gcname
        },
        
    ]
}
```
#### 已开发 基础接口: 保存楼层缓存
接口说明
```
从蜂鸟解析到楼层后保存到服务端
```
请求地址
```
POST: /data/plaza/floor/set
```
请求路径参数
```
plazaId=XXYY//广场id 必填
```

请求参数
```
[ "f1", "f2", "f3"]
```
返回内容

```json
{
    "result": "success"
}
```

#### 已开发 基础接口: 查询广场概况
请求地址
```
GET: /data/plaza/fact
```

请求参数
```
plazaId=XXYY
```
返回内容

```json
{
    "result": "success",
    "pic1": [ {"区位图地址1"://字段：’GLSMS_PROIMGUP‘视图的字段}, {"区位图地址2"://字段：’GLSMS_PROIMGUP‘视图的字段} ],
    "pic2": [ {"鸟瞰图地址1"://字段：’GLSMS_PROIMGUP‘视图的字段}, {"鸟瞰图地址2"://字段：’GLSMS_PROIMGUP‘视图的字段} ],
    "build": [
    	{
    		"project": "建筑综合信息,对应视图建筑综合信息	glsms_build", 
    		"basic": ""
    	}
    ],
    "constructions": [
    	{
    		"type": "总包/分包,对应视图施工单位信息glsms_construction",
    		"professional": "专业",
    		"unit": "施工单位"
    	}
    ],
    "shuzihuayijiao": "数值化移交项目资料跳转页面地址"
}
```

#### 已开发 基础接口：查询图片

接口说明

```
图片查询调用接口(项目概况图片/设备设施原理图/位置分布图/分水器支路分布明细/示意图/库房管理图)
```

请求地址

```json
GET /data/sms_proimgup/query
```

请求参数

```
    tyepcode=1 //图片类型，用于区分区位图，鸟撖图，原理图等 选填
    neTyepname=位置布置图 //图片类型名称 不等于 选填
    tyepname=位置布置图 //图片类型名称 等于  选填
    module=1003 //图片类型 参考‘图片上传视图查询条件.doc'文件 选填
    loction=AA //布置图位置编号 选填
    system=system//所属系统 选填
    floor=floor //楼层 选填
    plazaId=XXYY'//广场id 必填
                            
```

返回内容

```json
{
    "result": "success",
    "data":[
        {
            //字段：’GLSMS_PROIMGUP‘视图的字段
        }
    ]
}
```

#### 已开发 基础接口：查询下拉框

接口说明

```
页面所有下拉框的接口
```

请求地址

```
POST /data/base/queryOptions
```

路径参数说明

```
    major=弱电//专业 数据类型之后可能会修改 非必填
    plazaId=XXYY//广场id 必填
```
请求参数
```json
[
    {
        "columnName": {"brand"："brand","manufacturer":"manufacturer"},//列名称
        "params": {//前端存储的param 内容固定的，前端存储什么传什么
            "tab_code": "1593"//tab编码 详情下拉框使用“type_code”
        },
        "tableName": ""//视图名称
    }
]
```

返回内容

```json
{
    "result": "success",
    "data":{
        //视图名称：{
            //字段名是传递的列名称columnName的key：[
                {
                    "key":"",//传给后台的值
                    "value":""//页面下拉框展示的值
                }
            ]
        }
    }
}
```

#### 已开发 基础接口：查询Tab数据统计数量

接口说明

```
页面所有Tab数据的数量
```

请求地址

```
POST /data/base/queryTabStatistics
```

路径参数说明

```
    major=弱电//专业 数据类型之后可能会修改 必填
    plazaId=XXYY//广场id 必填
    
    
```
请求参数
```json
[
    {
        "params": {//前端存储的param 内容固定的，前端存储什么传什么
            "tab_code": "1593"//tab编码    
        },
        "tableName": ""//视图名称 glsms_asset    glsms_proimgup tab编码 typecode
    }
]
```

返回内容

```json
{
    "result": "success",
    "data":[
        {
            "tableName": "",//视图名称
            "count": 100,//tab下的数据量
            "params": {//前端传的参数
                "tab_code": "1593"
            }
        }
    ]
}
```

#### 已开发 基础接口: 设备设施-主要设备清单

接口说明
```

```
请求地址
```
POST /data/sms_asset/queryStatistics
```

路径参数说明
```
major=弱电//专业 数据类型之后可能会修改 非必填
plazaId=XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

请求参数
```json
{
    "tab_code":"1572"//tab编码 非必传
    "system_code":"1001"//系统编码
    //查询字段，参考视图‘glsms_asset’
}
```

返回内容
```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            "type_code":"1572",//自定义分类内码
            "type_name": "热力循环泵",//设备类型简称
            "sl": 3,//数量
            "floor": "",//楼层
            "sbxh": "ZHTW125-320",//型号
            "manufacturer": "8503",//生产厂商
            "classstructureid": "1460",//分类内码
            "importance": 1,//重要性 
            "classqc": "消防电系统/可燃气体探测器",//分类全称
            "wzjc": "商业楼-楼层-1层",//安装位置
            "floorcode": "F1",//楼层编码
            "type_code": "rq011"//说明书系统type编码,
            "is_exception":true,//是否异常 true：异常 flase：正常（维修）
            "is_detecting":true,//是否在检测中 true：检测中 flase：非检测中（维保）
        }
    ],
    
}
```


#### 已开发 基础接口: 设备设施-主要设备清单-详情

接口说明
```

```
请求地址
```
POST /data/sms_asset/query
```

路径参数说明
```
plazaId=XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

请求参数
```json
{
    "category_code":"gdc", //设备大类编码
    "classstructureid":"1572",//设备分类
    "location":"1572",//位置内码 查询机房核心设备时必传
    "type_code":"1572",//自定义分类内码 主要设备清单必传
    "manufacturer": "8503", //生产厂商 主要设备清单必传 如果没有传递‘--’
    "sbxh": "ZHTW125-320", //设备类型 主要设备清单必传 如果没有传递‘--’
    "gname": "",//楼层编码 该楼层参数为上方楼层下拉框选择的值，如果没有就不传
    "brand": "--"//品牌 主要设备清单必传 如果没有传递‘--’
}
```

返回内容
```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            "photos_num":10,//照片数量
            "attachments_num":10,//附件数量
            "file_type":10,//类型（0：专维 1：维保任务 2：第三方视图）
            "file_type_id":10,//类型对应的id(专维id，维保任务id,第三方视图id)
            "wx_id":10,//维修id
            "is_exception":true,//是否异常 true：异常 flase：正常（维修）
            "wbzy_id":10,//维保(专业)id
            "is_detecting":true,//是否在检测中 true：检测中 flase：非检测中（维保）
            "assetnum":1235,//设备内编码
            "sbjbm":"",//设备简码
            "sbjc":"",//设备简称
            "sbqm": ""，//设备全码
            "sbqc":"",//设备全称
            "fwqy": ""//服务区域,
            "zrr": ""//责任人,
            "s_wzqc": ""//位置全称
            //字段参考视图’glsms_asset‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-主要材料清单

接口说明

```

```

请求地址

```
GET /data/sms_material/query
```

路径参数说明
```
major=土建//专业 数据类型之后可能会修改 必填
plazaId=XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’gcglsms_material‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-维保事项

接口说明

```

```

请求地址

```
GET /data/sms_wbsms/query
```

路径参数说明

```
id=5111699,主键
smsxt:1004,//自定义系统编码
tab:system,//tab的参数，字段暂不确定
plazaId':XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_wbsms‘
            "diff":"out",//分类
            "gname":"b1",//楼层
            "smsxt":"1001"//系统编号,
        }
    ],
    
}
```
#### 已开发 基础接口: 机电信息-维保事项

接口说明

```

```

请求地址

```
GET /data/sms_wbzy/query
```

路径参数说明

```
smsxt:1004,//自定义系统编码
plazaId':XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
location=34383
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_wbzy‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-维修事项

接口说明

```

```

请求地址

```
GET /data/sms_wx/query
```

路径参数说明

```
wonum:1004,//工单编号
smsxt:1004,//自定义系统编码
tab:system,//tab的参数，字段暂不确定
plazaId':XXYY//广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_wx‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-专维

接口说明

```

```

请求地址

```
GET /data/sms_zw/query
```

路径参数说明

```
system=system //所属系统
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
字段名StartDate=20200618000000//开始时间 格式：yyyyMMddHHmiss
字段名EndDate=20200618000000//结束时间 格式：yyyyMMddHHmiss
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_zw‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-其他事项

接口说明

```

```

请求地址

```
GET /data/sms_qtsx/query
```

路径参数说明

```
id=1234 //其他事项的主键
system=system //所属系统
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
createdateStartDate //填报开始日期
createdateEndDate //填报结束日期

```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’glsms_qtsx‘
        }
    ],
    
}
```

#### 已开发 基础接口: 设备设施-记录事项

接口说明

```

```

请求地址

```
/data/sms_wxwbsxline/query?system_code=1001
```

请求参数

```
system_code=1001 //系统编号 必填
plazaId=XXYY //广场id 必填
difference=给水 //区分给排水 取值范围：给水；排水
wznw=内 //位置内外 取值范围：内；外
apply=维修维保 //区分维修维保和专维其他 取值范围：维修维保；专维及其它
```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "smswz": "开闭所/变电所"
            "children":[
                {
                    "system_code": "1001",
                    "system": "供电系统",
                    "smswz": "开闭所/变电所",
                    "id": 1,
                    "smsasset": "高压进线柜/出线柜/环网柜/PT柜/联络柜/计量柜",
                    "children": [
                        {
                            "id": 1,
                            "sn": "1",
                            "matter": "更换真空断路器",
                            "sxid": 1
                        },
                        {
                            "id": 2,
                            "sn": "2",
                            "matter": "更换电流/电压互感器",
                            "sxid": 1
                        },
                        {
                            "id": 3,
                            "sn": "3",
                            "matter": "更换避雷器",
                            "sxid": 1
                        },
                        {
                            "id": 4,
                            "sn": "4",
                            "matter": "更换计量及其它仪表",
                            "sxid": 1
                        },
                        {
                            "id": 5,
                            "sn": "5",
                            "matter": "高压开关跳闸及处理措施",
                            "sxid": 1
                        }
                    ]
                }
            ]
        }
    ]
}
```

#### 基础接口: 设备设施-查看图纸

接口说明

```
参数待定
```

请求地址

```

```

请求参数

```
system=system //所属系统
plazaId=XXYY //广场id 必填
```

返回内容

```
[{
    //待定
}]

```
#### 已开发 基础接口: 综合事项记录

接口说明

```

```

请求地址

```
GET /data/sms_zhsxjl/query
```

路径参数说明

```
id=123454 //综合记录事项的主键
department=部门 //部门
otherdescription=其他部门说明//其他部门说明
createdateStartDate=20200608000000 //开始时间 格式：yyyyMMddHHmiss
createdateEndDate=20200608000000 //结束时间 格式：yyyyMMddHHmiss
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```


返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’V_GLSMS_ZHSXJL‘
        }
    ],
    
}
```

#### 已开发 基础接口: 第三方检测事项

接口说明

```

```

请求地址

```
GET /data/sms_dsfrw/query
```

路径参数说明

```
zgbm=部门 //主管部门
status=正常 //状态
conclusion=检测结论 //检测结论
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```


返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’v_glsms_dsfrw‘
        }
    ],
    
}
```


#### 已开发 基础接口: 辅助用房管理-广场辅助用房汇总统计报

接口说明

```
GET /data/sms_gcfzyfhz/query
```

请求地址

```

```

请求参数

```
plazaId=XXYY//广场id 必填
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’V_GLSMS_gcfzyfhz‘
        }
    ],
    
}
```

#### 已开发 基础接口:  辅助用房管理-广场辅助用房调改变更记录

接口说明

```
参数待定
```

请求地址

```
GET /data/sms_fzyfchange/query
```

请求参数

```
floor=floor //楼层 必填
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’V_GLSMS_fzyfchange‘
        }
    ],
    
}
```
#### 已开发 基础接口:  机房信息-配电室低压柜及出线明细表

接口说明

```
参数待定
```

请求地址

```
GET /data/sms_dygjcxline/query
```

请求参数

```
location=1198 //位置内码 必填
plazaId=XXYY //广场id 必填
page=1//页数
size=10//条数
orderBy=字段名,1;//排序，1正序，0，倒序
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

返回内容

```json
{
    "result": "success",
    "count": 100,//数据总量
    "data":[
        {
            //字段参考视图’v_glsms_dygjcxline‘
        }
    ],
    
}
```
#### 已开发 基础接口:  专业下设备分类和位置分类树形结构

接口说明

id和name 分别是设备分类和位置分类的id和名字

```
参数待定
```

请求地址

```
post /data/t_system_wzfl/query
```

请求参数

```

```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "id": "1008",   //专业id
            "name": "土建装饰",   //专业名字
            "children": [
                {
                    "type": "2",  // 1 位置 2 设备
                    "id": "2208",    //设备id
                    "name": "综合土建/幕墙"    //设备名字
                }
            ]
        }
    ]
}

```
#### 已开发 基础接口:  通过位置id 查询系统名字

接口说明

```
参数待定
```


请求地址

```
GET /data/t_system_wzfl/querySystem
```

请求参数

```
locationid=5408 //位置id 

```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "locationflid": "5209",
            "smsxt": "1001",
            "smsxtname": "供配电系统"
        }
    ]
}

```
#### 基础接口:  特色电井控制商铺

接口说明

```
添加商铺信息，增加按商铺名称搜索
```

请求地址

```
GET /data/sms_shops/query
```

请求参数

```
floor=f1 //楼层 （选填）
orderBy: floor,1;welldesm,1;meterbox,1; //排序字段 （选填）
plazaId: 1000772 //广场id  （必填）
keyword: 4001:welldes,meterbox,shopsnumList; //电井，电表号，商铺编号列表,商铺名称 模糊搜索 (选填)
         
```
返回内容

```json
{
    "result": "success",
    "data": [
        {
            "f1": [
                {
                    "floor": "f1",
                    "seq": 100,
                    "wellnum": "1173",
                    "welldes": "商业楼/1层/百货楼/百货楼-强电井-2号强电井",
                    "meterbox": "W1-1AP2",
                    "shopsnumList": "1050,1031A,B1002A"
                }
            ]
        }
    ]
}
```
#### (返回商铺信息)基础接口:  特色电井控制商铺

接口说明

```
添加商铺信息，增加按商铺名称搜索
```

请求地址

```
GET /data/sms_shops/queryBrand
```

请求参数

```
floor=f1 //楼层 （选填）
orderBy: floor,1;welldesm,1;meterbox,1; //排序字段 （选填）
plazaId: 1000772 //广场id  （必填）
keyword: 4001:welldes,meterbox,shopsnumList,brandname; //电井，电表号，商铺编号列表,商铺名称 模糊搜索 (选填)
         
```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "f1": [
                {
                    "floor": "f1",
                    "seq": 100,
                    "wellnum": "1173",
                    "welldes": "商业楼/1层/百货楼/百货楼-强电井-2号强电井",
                    "meterbox": "W1-1AP2",
                    "brandList":[ //商铺信息
                        {
                        "brandname":"MUJI", //商铺名称
                        "shopsnumList": "1050,1031A,B1002A" //商铺编号
                        }
                    ]
                }
            ]
        }
    ]
}
```
#### 已开发 基础接口:  综合事项弹框

接口说明

请求地址

```
GET /data/sms_zhsxjl/queryWindown
```

请求参数

```
无

```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "zgbm": "政府",
            "jlsx": "1）检测结论",
            "jcsx": "商管-消防电-消防功能检测报告外委检查标准"
        }
    ]
}
```
#### 已开发 基础接口:  查询管理说明书系统

请求地址

```
GET /data/sms_systemcfg/querySmsxt
```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "name": "电梯系统",
            "code": "1006"
        },
        {
            "name": "供配电系统",
            "code": "1001"
        },
        {
            "name": "弱电系统",
            "code": "1004"
        },
        {
            "name": "给排水",
            "code": "1005"
        },
        {
            "name": "消防系统",
            "code": "1003"
        },
        {
            "name": "暖通系统",
            "code": "1002"
        },
        {
            "name": "土建装饰",
            "code": "1008"
        },
        {
            "name": "燃气系统",
            "code": "1007"
        }
    ]
}
```
#### 已开发 基础接口:  根据管理说明书系统-查询工程信息化系统及下级设备分类

请求地址

```
GET /data/base/queryClassStructureBySmsxt?smsxt=1001
```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "gcxxhxtnum": "GPD",
            "gcxxhxt": "1508",
            "gcxxhxtname": "供配电系统",//工程信息化系统名称
            "data": [
                {
                    "id": "1483",//设备分类id
                    "classqc": "供配电系统/线性感温控制器",//设备分类名称
                    "systemqm": "GPD"
                },
                {
                    "id": "1484",
                    "classqc": "供配电系统/低压配电柜/进线柜",
                    "systemqm": "GPD"
                }
            ]
        },
        {
            "gcxxhxtnum": "ZM",
            "gcxxhxt": "1534",
            "gcxxhxtname": "照明系统",
            "data": [
                {
                    "id": "1536",
                    "classqc": "照明系统/泛光灯/灯带",
                    "systemqm": "ZM"
                }
            ]
        }
    ]
}
```
#### 已开发 基础接口:  根据设备分类查询设备台账

请求地址

```
GET /data/sms_asset/queryByClassStructure?plazaId=1000423&page=1&size=10
```
请求参数
```json
{
    "gname":"f1", //楼层，非必填
    "classstructureid":"1101" //设备分类，必填
}
```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "type_name": "DDC控制箱",
            "sbjbm": "DDC-21", //设备编码
            "importance": 1,
            "sl": 4,
            "sbxh": "BOX1A(2Base)",
            "floorcode": "F6",
            "gname": "f6", //铺位可视化楼层
            "sbjc": "DDC控制箱-21", //设备简称
            "seq": 600,
            "type_code": "rd031",
            "manufacturer": "上海施耐德电气有限公司"
        }
    ],
    "count": 997
}
```
#### 已开发 基础接口:  查询位置大类

请求地址

```
GET /data/base/queryWzfldl
```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "dl": "设备间"
        },
        {
            "dl": "位置区域"
        },
        {
            "dl": "楼层"
        },
        {
            "dl": "楼体"
        },
        {
            "dl": "广场"
        }
    ]
}
```
#### 已开发 基础接口:  根据位置大类查询位置分类

请求地址

```
GET /data/base/queryWzflByDl?dl=设备间
```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "name": "信息机房",
            "wdnum": "XXJF",
            "id": 82
        },
        {
            "name": "强弱电井",
            "wdnum": "QRDJ",
            "id": 141
        },
        {
            "name": "干式垃圾房",
            "wdnum": "GSLJF",
            "id": 304
        },
        {
            "name": "公共区域",
            "wdnum": "GGQY",
            "id": 305
        },
        {
            "name": "放映机房",
            "wdnum": "FYJF",
            "id": 311
        },
        {
            "name": "员工餐厅",
            "wdnum": "YGCT",
            "id": 313
        },
        {
            "name": "屋面点位",
            "wdnum": "WMDW",
            "id": 314
        }
    ]
}
```
#### 已开发 基础接口:  查询位置台账

请求地址

```
Post /data/sms_location/query?plazaId=1000423&page=1&size=10
```
请求参数
```json
{
    "locfl":"5209" //位置分类id,
    "locflList": [],//位置分类idList
    "system_code":"1001", //系统编号
    "photosNumGte":1, //机房布置图统计数量大于等于
}
```

返回内容

```json
{
    "result": "success",
    "data": [
        {
            "name": "信息机房",
            "wdnum": "XXJF",
            "id": 82,
            "photos_num":1 //机房布置图照片数量
        },
        {
            "name": "强弱电井",
            "wdnum": "QRDJ",
            "id": 141
        },
        {
            "name": "干式垃圾房",
            "wdnum": "GSLJF",
            "id": 304
        },
        {
            "name": "公共区域",
            "wdnum": "GGQY",
            "id": 305
        },
        {
            "name": "放映机房",
            "wdnum": "FYJF",
            "id": 311
        },
        {
            "name": "员工餐厅",
            "wdnum": "YGCT",
            "id": 313
        },
        {
            "name": "屋面点位",
            "wdnum": "WMDW",
            "id": 314
        }
    ]
}
```
####  已开发 查询铺位可视化接口

请求地址 POST /data/tb_brand_intentiondetail/query?plazaId=1001145

参数说明
```
plazaId:广场id 必填

```
json请求参数说明
```json
[            //铺位id 选填，不填返回广场下所有铺位
    "4016",
    "5021"
]
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "format": "餐饮美食",
            "detailtype": "云贵菜",
            "brandname": "滇酷云南餐厅",
            "maintype": "中餐"
        },
        {
            "format": "餐饮美食",
            "detailtype": "清汤火锅",
            "brandname": "blublu潮牛",
            "maintype": "锅类"
        }
    ]
}
```
####  查询首页系统卡片

请求地址 GET /data/home/querySystemCard?plazaId=1000423&smsxt=1001

参数说明
```
plazaId:广场id 项目首页必填
smsxt:系统id 选填
ccode=1002347 //管理分区编码 集团首页必填
level=0//1集团 2中心 3区域 0广场 集团首页必填
```

返回结果

```json
{
    "result": "success",
    "data": [{
        "smsxt":"1001", //系统编码
        "smsxt_name":"消防系统", //系统名称
        "assetTypeList":[{
            "category_code":"1509", //设备分类大类编码,广场说明书自定义
            "category_name":"消防主机", //设备分类大类名称,广场说明书自定义
            "asset_num":97, //设备数
            "is_exception":true,//是否异常 true：异常 false：正常
            "is_detecting":true, //是否在检测中 true：检测中 false：非检测中
            "is_exception_num":23, //异常数量
            "is_detecting_num": 0//在检测中的数量
        }],
        "rptGlsmsStatisticsList": [
            {
                "id": 202,
                "siteid": "1000423",//广场id
                "smsxt": "1001",//系统编号
                "smsxt_name": "供配电系统",//系统名称
                "total": 1,//总任务
                "unfinished": 1,//未完成任务
                "before_month_total": 1,//计划完成时间在当月之前,状态是未完成
                "month_total": 0,//计划完成时间在当月,不区分状态
                "after_month_total": 0,//计划完成时间在当月之后,计划开始时间在当月或当月之前,不分状态
                "before_month_unfinished": 1,//计划完成时间在当月之前,状态是未完成
                "month_unfinished": 0,//计划完成时间在当月,状态是未完成
                "after_month_unfinished": 0,//计划完成时间在当月之后,计划开始时间在当月或当月之前,状态是未完成
                "due_num": 0,//任务剩余时间小于5天的数量
                "level": 3,//级别 1.正常（蓝色） 2.警告（黄色） 3.严重（红色）
                "type": 1,//类型（0：专维 1：维保任务 2：第三方视图）
                "statistics_date": "20200708",//统计时间 yyyyMMdd
                "create_date_time": 1594195201000//创建时间
            }
        ]
    }]
}
```
####  说明书变更记录

请求地址 GET /data/rpt_change_record/query?page=1&size=30&plazaId=1000423&changeDateStartDate=20171027000000&changeDateEndDate=20171028000000

参数说明
```
plazaId=XXYY //广场id 必填
page=1//页数 非必填
size=10//条数 非必填
objtype=1//变更内容类型（1：重要维保 3：综合事项 4：重要维修 5：其他事项） 非必填
changeDateStartDate=20171027000000//变更记录开始时间 格式yyyyMMddHHmiss 非必填
changeDateEndDate=20171028000000//变更记录结束时间 格式yyyyMMddHHmiss 非必填
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "id": 254,
            "siteid": "1000423",//广场id
            "objid": 2468391,//变更内容id
            "objtype": 1,//变更内容类型（1：重要维保 3：综合事项 4：重要维修 5：其他事项）
            "apptype": "",//维保任务-任务类型 只有维保任务才会返回该字段
            "content": "电梯-直梯外委检查标准(2018/01/16-2018/01/31)",//变更内容
            "changedate": 1517341360000,//变更时间
            "create_date_time": 1593739908000//创建时间
        }
    ]
 }

```
####  说明书变更记录项目信息详情

请求地址 GET /data/rpt_change_record/queryChangeRecordPlazaInfo?changeDateStartDate=20171027000000&changeDateEndDate=20171028000000

参数说明
```
changeDateStartDate=20171027000000//变更记录开始时间 格式yyyyMMddHHmiss 必填
changeDateEndDate=20171028000000//变更记录结束时间 格式yyyyMMddHHmiss 必填
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "cid": 2,
            "ccode": "0000000000",
            "cname": "商管集团",
            "orgode": "103000",
            "level": 1,
            "children": [
                {
                    "cid": 9,
                    "ccode": "1000000003",
                    "cname": "华中运营中心",
                    "orgode": "131951",
                    "level": 2,
                    "cparentcode": "0000000000",
                    "children": [
                        {
                            "cid": 38,
                            "ccode": "2000000008",
                            "cname": "郑州区域",
                            "orgode": "107857",
                            "level": 3,
                            "cparentcode": "1000000003",
                            "children": [
                                {
                                    "cid": 31136507,
                                    "ccode": "1000287",
                                    "cname": "郑州中原万达广场",
                                    "orgode": "103448",
                                    "level": 0,
                                    "cparentcode": "2000000008",
                                    "changeRecordCount": 14 //变更记录数量
                                }
                            ]
                        }
                    ]
                }
           }
      }
   ]
}

```
####  查询项目信息统计数量

请求地址 GET /data/home/queryPlazaInfoCount

参数说明
```
plazaId=10007423 //level=0时 必填
ccode=1002347 //管理分区编码 必填
level=0//1集团 2中心 3区域 0广场 必填
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "upwcCount": 345,//上线说明书数量
            "rptChangeCount": 798,//当月说明书更新项目数量
            "zhsxChangeCount":2//当月重点关注事项项目数量
        }
    ]
}

```
####  查询项目信息详情

请求地址 GET /data/home/queryPlazaInfo

参数说明
```
ccode=1002347 //管理分区编码 必填
level=0//1集团 2中心 3区域 0广场 必填
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "cid": 2,
            "ccode": "0000000000",
            "cname": "商管集团",
            "orgode": "103000",
            "level": 1,
            "children": [
                {
                    "cid": 9,
                    "ccode": "1000000003",
                    "cname": "华中运营中心",
                    "orgode": "131951",
                    "level": 2,
                    "cparentcode": "0000000000",
                    "children": [
                        {
                            "cid": 38,
                            "ccode": "2000000008",
                            "cname": "郑州区域",
                            "orgode": "107857",
                            "level": 3,
                            "cparentcode": "1000000003",
                            "children": [
                                {
                                    "cid": 31136507,
                                    "ccode": "1000287",
                                    "cname": "郑州中原万达广场",
                                    "orgode": "103448",
                                    "level": 0,
                                    "cparentcode": "2000000008"
                                }
                            ]
                        }
                    ]
                }
           }
      }
   ]
}
```
####  查询异常项目信息详情

请求地址 GET /data/home/queryExceptionPlazaInfo

参数说明
```
"level":1, //1集团 2中心 3区域 0广场 用户权限等级
"ccode":"0000000000", //组织编码
smsxt=1001 //系统编码 必填
categoryCode=dta //设备类型编码 必填
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "cid": 2,
            "ccode": "0000000000",
            "cname": "商管集团",
            "orgode": "103000",
            "level": 1,
            "children": [
                {
                    "cid": 1,
                    "ccode": "1000000002",
                    "cname": "华北运营中心",
                    "orgode": "134212",
                    "level": 2,
                    "cparentcode": "0000000000",
                    "children": [
                        {
                            "cid": 16,
                            "ccode": "2000000006",
                            "cname": "北京区域",
                            "orgode": "107842",
                            "level": 3,
                            "cparentcode": "1000000002",
                            "children": [
                                {
                                    "cid": 31136771,
                                    "ccode": "1001145",
                                    "cname": "北京丰台万达广场",
                                    "orgode": "125749",
                                    "level": 0,
                                    "cparentcode": "2000000006",
                                    "classExList": [//异常原因
                                        {
                                            "siteid": "1001145",
                                            "description": "系统升级",//事项描述
                                            "category_name": "直梯",
                                            "workorderid": 5111790,
                                            "category_code": "dta",
                                            "assetnum": "1062",
                                            "sbjc": "1#"//设备简称
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}
```
####  设备台账下所有历史事项信息

请求地址 GET /data/base/queryDateByAssetNum?size=10&page=1&assetnum=8952&startDate=20180101000000&endDate=20180201000000

参数说明
```
plazaId=1000423 //广场id 必填
page=1//页数 必填
size=10//条数 必填
assetnum=1// 设备台账编码  必填
startDate=20180101000000//任务实际完成时间--开始时间 格式yyyyMMddHHmiss 必填
endDate=20180201000000//任务实际完成时间--结束时间 格式yyyyMMddHHmiss 必填
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "id": 220479681,
            "type": "1",//类型  //0 专维  1 维保  2第三方视图
            "assetnum": 8952, //设备台账编码
            "finishDate": 1515966600000,  //任务实际完成时间
            "photosNum": 0,  //照片数量
            "attachmentsNum":0,//附件数量
            "taskName": "电梯-电梯安全检验合格证年检标准(2016/05/01-2016/05/31)"//事项名称
        }
    ],
    "count": 8
}

```
####  事项甘特图

请求地址 GET data/base/queryGanttChart?smsxt=1001&plazaId=1000423&startDate=20000101000000&endDate=20200708000000

参数说明
```

smsxt=1001//系统编码 非必填
plazaId=1000423//广场id 必填
startDate=20000101000000//开始时间 格式：yyyyMMddhhmiss 必填 （日期筛选前闭后开）
endDate=20200708000000//结束时间 格式：yyyyMMddhhmiss 必填（日期筛选前闭后开）
```

返回结果

```json

{
    "result": "success",
    "wbList":[//维保
        {
            "id": 1,
            "name":"设备系统&低压配电系统", //名称 维保计划名称
            "data": [  
                {
                    "id": "1145",  //维保任务id 注意：查询详情时传递该id
                    "code": "1001",//系统编码
                    "status": "已完成", //状态
                    "statusType": 1, //状态类型 1：未完成 2：即将逾期 3：逾期未完成
                    "startDate": 1524978000000, //开始时间
                    "endDate": 1524978000000//结束时间
                }
            ]
        }
  ],
  "zwList":[//专维
        {
            "id": 1,
            "name":"设备系统&低压配电系统", //名称
            "data": [  
                {
                    "id": "1145",  //专维id 注意：查询详情时传递该id
                    "code": "1001",//系统编码
                    "status": "已完成", //状态
                    "statusType": 1, //状态类型 1：未完成 2：即将逾期 3：逾期未完成
                    "startDate": 1524978000000, //开始时间
                    "endDate": 1524978000000//结束时间
                }
            ]
        }
  ],
  "dsfList":[//第三方检测
        {
            "id": 1,
            "name":"设备系统&低压配电系统", //名称
            "data": [  
                {
                    "id": "1145",  //第三方检测id 注意：查询详情时传递该id
                    "code": "1001",//系统编码
                    "status": "已完成", //状态
                    "statusType": 1, //状态类型 1：未完成 2：即将逾期 3：逾期未完成
                    "startDate": 1524978000000, //开始时间
                    "endDate": 1524978000000//结束时间
                }
            ]
        }
  ]
}
```
####  甘特图明细

请求地址 GET }/data/base/queryGanttChartDetails?plazaId=1000664&type=1&id=2465660

参数说明
```
plazaId=1000664//广场id
type=1//类型//0 专维  1 维保专业  2第三方视图   必填
id=1117//维保计划id  必填
```

返回结果

```json

{
    "result": "success",
    "data": {
        "id": 2465660,
        "name": "空调-空调末端外委检查标准(2018/01/01-2018/06/30)",//名称
        "realStartDate": 1528211202000,//实际开始时间
        "realEndDate": 1528904924000,//实际结束时间
        "planStartDate": 1514786400000,//计划开始时间
        "planEndDate": 1530334800000,//计划结束时间
        "status": "进行中",//状态
        "statusType": 1, //状态类型 1：未完成 2：即将逾期 3：逾期未完成
        "type": 1, //类型//0 专维  1 维保专业  2第三方视图  
        "assetList": [//设备列表
            {
                "cnt": 1,//设备数量
                "wzjc": "商业楼/3F/娱乐楼/公共区域/3#",//安装位置
                "sbjbm": "DDFG-DDFG15",//设备编码
                "sbjc": "吊顶风柜-15号吊顶风柜"//设备简称
            }
        ],
        "imgList": [//图片
            {
                "urlname": "http://10.199.204.168:9080/doclinks\\WB_GZGL\\A86CB35A873C449E931E33423228FE7B.jpg",
                "type": 0,
                "id": 44437265
            }
        ],
        "fileList": [//附件
            {
                "urlname": "http://10.199.204.168:9080/doclinks\\WB_GZGL\\A86CB35A873C449E931E33423228FE7B.jpg",
                "type": 0,
                "id": 44437265
            }
        ]
    }
}
```
####  查询集团首页事项状态统计

请求地址 GET /data/home/queryEventStatus

参数说明
```
ccode=1002347 //管理分区编码 必填
level=0//1集团 2中心 3区域 0广场 必填
```

返回结果

```json

{
  "result" : "success",
  "data" : {
    "0" : [ { //类型（0：专维 1：维保任务 2：第三方视图）
      "ccode" : "1000000000",
      "cname" : "东北运营中心",
      "rptGlsmsStatistics" : {
        "total" : 1, //总数量
        "unfinished" : 1, //未完成数量
        "due_num" : 0, //任务剩余时间小于5天的数量
        "type" : 0 
      }
    } ],
    "1" : [ {//类型（0：专维 1：维保任务 2：第三方视图）
      "ccode" : "1000000000",
      "cname" : "东北运营中心",
      "rptGlsmsStatistics" : {
        "total" : 53,//总数量
        "unfinished" : 53,//未完成数量
        "due_num" : 1,//任务剩余时间小于5天的数量
        "type" : 1
      }
    } ],
    "2" : [ {//类型（0：专维 1：维保任务 2：第三方视图）
      "ccode" : "1000000000",
      "cname" : "东北运营中心",
      "rptGlsmsStatistics" : {
        "total" : 291,//总数量
        "unfinished" : 291,//未完成数量
        "due_num" : 0,//任务剩余时间小于5天的数量
        "type" : 2
      }
    } ]
  }
}

```

####  查询附件

请求地址 GET /data/base/queryFileDetails

参数说明
```
assetnum="9071"  // 设备内码，如果要查看设备对应的维保图片需要传入此参数
file_type=1 //0：专维 1：维保任务 2：第三方视图 必填
file_type_id=1985//类型对应的id 必填
type=0//0:图片 1：附件
```

返回结果

```json

{
  "result" : "success",
  "data" : [ {
      "id" : 234,
      "description":"02x58PIC6fw_1024.png",//图片名称
      "urlname" : "http://10.199.204.168:9080/doclinks\MANAGEINS\android.jpg"//文件地址
    } 
  ]
}

```
####  根据楼层和电井编号查询商铺

请求地址 GET /data/sms_shops/queryByFloorAndWellnum?wellnum=1172&floor=f1&plazaId=1000423

参数说明
```
plazaId=1000423 //广场id 必填
wellnum=1172//电井编号 必填
floor=f1//楼层 注意传递gname字段 必填
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "shopsnum": "1001",//商铺编号
            "siteid": "1000423",//广场id
            "id": 106,//商铺范围子清单id
            "shopsid": 81//商铺范围清单id
        }
    ]
}

```
####  查询日常维修

请求地址 POST /data/sms_wxzy/query?page=1&size=30&plazaId=1000423&smsxt=1002

路径参数说明
```
plazaId=1000423 //广场id 必填
smsxt=1002//系统
assetnum=10153//设备编号
bxfwly=10153//报修来源编号
schedfinishStartDate=20200618000000//要求结束时间-开始时间 格式：yyyyMMddHHmiss
schedfinishEndDate=20200618000000//要求结束时间-结束时间 格式：yyyyMMddHHmiss
wotjyssjStartDate=20200618000000//实际完工时间-开始时间 格式：yyyyMMddHHmiss
wotjyssjEndDate=20200618000000//实际完工时间-结束时间 格式：yyyyMMddHHmiss
keyword=关键字1:字段名11,字段名12;关键字2:字段名21,字段名22;//模糊查询参数
```

json参数说明
```
{
    "status":["",""]
}
```

返回结果

```json
{
    "result": "success",
    "count": 0,
    "data": [
        {
            "assetnum":"", // 设备编号
            "sbmc":"", // 设备名称
            "gcxxhxt":"", //工程信息化系统编号
            "gcxxhxtnum":"", //工程信息化系统编码
            "gcxxhxtname":"", //工程信息化系统名称
            "difference":"", //区分
            "location":"", //位置编号
            "wzjc":"", //位置名称
            "changedate":153026845200, // 修改时间 返回时间戳
            "workorderid":15321, // 唯一id
            "wonum":"", //工单编号
            "description":"", //工单描述
            "bxfwly":"", //报修来源编号
            "bxfwlymc":"", //报修来源名称
            "lead":"", //执行人
            "schedfinish":153026845200, //要求结束时间 返回时间戳
            "wotjyssj":153026845200, //实际完工时间 返回时间戳
            "siteid":"", //广场id
            "ticketuid":1531353, //报修唯一ID
            "smsxt":"", //工程信息化系统名称
            "location_locfl":"", //位置分类
            "repair_photos_num":3, //报修图片数量
            "finished_photos_num":10 //完工图片数量
        }
    ]
}

```

####  查询日常维修图片

请求地址 GET /data/sms_wxzy/queryImg?plazaId=1000423&ticketuid=5742&type=1&workorderid=5345

参数说明
```
plazaId="1000423"//广场id 必填
ticketuid=20156  //报修唯一id 非必填
workorderid=1093 //工单id 必填
type=0//0:工单报修照片 1：工单完工照片
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "docinfoid": 5145910,
            "doctype": "报修申请",
            "doclinksid": 5145866,
            "description": "repair_20160907043522.jpg",//图片名称
            "siteid": "1000423",
            "ownertable": "SR",
            "ownerid": 5742,
            "urlname": "http://gcgl.wanda.cn/报修申请\\repair_20160907043522.jpg"//图片地址
        }
    ]
}

```

####  根据类型统计说明书更新记录数量

请求地址 GET /data/rpt_change_record/queryObjTypeCount?plazaId=1000423&changeDateStartDate=20200821000000&changeDateEndDate=20200921000000

参数说明
```
plazaId="1000423"//广场id 必填
changeDateStartDate=20171027000000//变更记录开始时间 格式yyyyMMddHHmiss 必填
changeDateEndDate=20171028000000//变更记录结束时间 格式yyyyMMddHHmiss 必填
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "cnt": 6,
            "objtype": 4//变更内容类型（1：重要维保 3：综合事项 4：重要维修 5：其他事项）
        }
    ]
}

```
#### 根据部门统计综合事项数量

请求地址 GET /data/sms_zhsxjl/queryByDeptCount?plazaId=1001823&createdateStartDate=20100821000000&createdateEndDate=20200921000000&page=1&size=3

参数说明
```
plazaId="1000423"//广场id 必填
changeDateStartDate=20171027000000//变更记录开始时间 格式yyyyMMddHHmiss 必填
changeDateEndDate=20171028000000//变更记录结束时间 格式yyyyMMddHHmiss 必填
```

返回结果

```json

{
    "result": "success",
    "data": [
        {
            "department": "其他部门",
            "cnt": 12,
            "otherdescription": "无"
        },
        {
            "department": "其他部门",
            "cnt": 2,
            "otherdescription": "特检所"
        },
        {
            "department": "其他部门",
            "cnt": 1,
            "otherdescription": "电监"
        }
    ],
    "count": 5
}

```
#### 根据图片类型统计图片数量

请求地址 GET /data/sms_proimgup/querySystemCount?system=1001&plazaId=1000423

参数说明
```
plazaId="1000423"//广场id 必填
system="1001"//系统编号 必填
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "typecode": 2001,
            "cnt": 1
        },
        {
            "typecode": 2002,
            "cnt": 2
        },
        {
            "typecode": 2010,
            "cnt": 2
        }
    ]
}
```
#### 查询更多设备（为APP端页面展示，单独封装数据结构）

请求地址 POST /data/sms_asset/queryAsset?plazaId=1000772&page=1&size=10&subPage=1&subSize=10&keyword=消:sbjc,assetnum

参数说明
```
{
    "system_code": "1003",//系统编号
    "classstructureid": "1661"//设备类型编号
}
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "classstructureid": "1661",设备类型编号
            "classqc": "消防水系统/水炮泵",//设备类型名称
            "count": 2,//设备数量
            "data": [
                {
                    "type_name": "水炮泵",
                    "fws": "上海中航泵业制造有限公司",
                    "sbjbm": "SY/B3F/TCC/XFSBF/1#-SPB-2",
                    "importance": 3,
                    "sbxh": "XBD20-110-HY",
                    "system_code": "1003",
                    "is_detecting":true,//是否在检测中 true：检测中 flase：非检测中（维保）
                    "sb_status": "运行",
                    "floorcode": "B3",
                    "manufacturer": "上海中航泵业制造有限公司",
                    "is_exception":true,//是否异常 true：异常 flase：正常（维修）
                    "assetnum": "9671",//设备编码
                    "sl": 1,
                    "seq": -300,
                    "assetuid": 291649,
                    "category_code": "xfa",
                    "classstructureid": "1661",
                    "wzjc": "地下3层消防水泵房",
                    "sbglgs": "商管",
                    "assetid": 276760,
                    "sbjc": "商业楼/B3/停车场/消防水泵房-水炮泵-2",//设备简称
                    "type_code": "xf013"
                }
            ]            
        }
    ],
    "count": 1
}
```
#### 查询主要设备类型

请求地址 GET /data/sms_asset/queryAssetClass?system_code=1003&classstructureid=1661

参数说明
```
system_code:系统编号
classstructureid：设备类型编号
```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "classstructureid": "1468",
            "classqc": "消防水系统/预作用阀"
        },
        {
            "classstructureid": "1658",
            "classqc": "消防水系统/稳压泵"
        },
        {
            "classstructureid": "1659",
            "classqc": "消防水系统/喷淋泵"
        },
        {
            "classstructureid": "1661",
            "classqc": "消防水系统/水炮泵"
        }
    ]
}
```

#### 查询机房平面布置图数量

请求地址 GET /data/sms_location/queryCount?plazaId=1000772&systemCode=1003

参数说明
```
systemCode:系统编号
```
返回结果

```json
{
    "result": "success",
    "count": 75
}
```

#### 查询配电室低压柜

请求地址 POST /data/sms_location/queryDygjcx?plazaId=1000772&page=1&size=10&keyword=商业配电柜:wzjc

参数说明
```
{
    "locfl": 1003,//分类内码
    "locflList": [],//分类内码
}
```

返回结果

```json
{
    "result": "success",
    "data": [
          {
            "location": "1000",
            "wzjc": "商业配电柜B1"

          }
         
    ],
    "count": 3
}
```


#### 查询低压出线柜明细（为APP端页面展示，单独封装数据结构）

请求地址 Get /data/sms_dygjcxline/queryDygjcxline?plazaId=1000772&location=1004&page=1&size=10&keyword=123:drawernum,outspec,floor

参数说明
```
    "location":"1004",//位置内码

```

返回结果

```json
{
    "result": "success",
    "data": [
        {
            "glsms_proimgupid": 37206,//图id
            "outspec": "-", //出线规格
            "control": "进线", //控制回路
            "floor": "-", //楼层
            "drawernum": "1-1AA" //抽屉编号
        },
        {
            "glsms_proimgupid": 37206,
            "outspec": "4*185+1*95",
            "control": "步行街分区1营业用电",
            "floor": "B2",
            "drawernum": "1-4AA-1"
        },
    
        {
            "glsms_proimgupid": 37206,
            "outspec": "4*95+1*50",
            "control": "步行街货梯2主",
            "floor": "1F",
            "drawernum": "2-12AA-9"
        }
    ],
    "count": 3
}
         
```


#### 更多设备卡片

请求地址 Get /data/sms_asset/moreSystemCard?plazaId=1000772&system_code=1003

参数说明
```
    "system_code":"1003",//专业编码

```
返回结果

```json
{
    "result": "success",
    "data": [
        {
            "is_exception_num": 0, //异常数量
            "category_name": "稳压泵", //设备分类大类名称
            "category_code": "wyb",//设备分类大类编码
            "asset_type_code": "1658",//设备分类编码,对应工程信息化的设备类型内码
            "asset_num": 1, //数量
            "is_detecting_num": 0 //检测数量
        },
        {
            "is_exception_num": 0,   
            "category_name": "预作用阀",
            "category_code": "xzyf",
            "asset_type_code": "1468",
            "asset_num": 22,
            "is_detecting_num": 0
        }
    ]
}
```

#### 更多设备卡片

请求地址 Get /data/sms_asset/moreSystemCard?plazaId=1000772&system_code=1003

参数说明
```
    "system_code":"1003",//专业编码

```
返回结果

```json
{
    "result": "success",
    "data": [
        {
            "is_exception_num": 0, //异常数量
            "category_name": "稳压泵", //设备分类大类名称
            "category_code": "wyb",//设备分类大类编码
            "asset_type_code": "1658",//设备分类编码,对应工程信息化的设备类型内码
            "asset_num": 1, //数量
            "is_detecting_num": 0 //检测数量
        },
        {
            "is_exception_num": 0,   
            "category_name": "预作用阀",
            "category_code": "xzyf",
            "asset_type_code": "1468",
            "asset_num": 22,
            "is_detecting_num": 0
        }
    ]
}
```




####  新增接口 根据广场统计说明书更新记录数量
```
请求地址 GET /data/rpt_change_record/statistic?plazaId=1000423&changeDateStartDate=20200821000000&changeDateEndDate=20200921000000
```
备注
```
最近30天的统计，由当天往前推30天
```

参数说明
```
请求头 plazaId="1000423"//广场id 必填（header）
changeDateStartDate=20171027000000//变更记录开始时间 格式yyyyMMddHHmmss 必填
changeDateEndDate=20171028000000//变更记录结束时间 格式yyyyMMddHHmmss 必填
```

返回结果

```json

{
    "result": "success",
    "data": {
        "total": 70, //总数量（变更内容类型 为1，3，4，5的和）
        "objcnt": [  //没有返回的类型的任务数量为0
            {
                "cnt": 12, //数量
                "objtype": 1 //变更内容类型（0：专维 1：维保任务 2：第三方视图 3：综合事项 4:重要维修 5:其他事项） 
            },
            {
                "cnt": 58,
                "objtype": 4
            }
        ]
    }
}

```

####  新增接口 项目首页右侧统计
```
请求地址 GET /data/base/projectStatistics?plazaId=1000423
```
接口说明
```
统计广场  维保|第三方检测|专维 
任务统计内容 总数、未完成数量、逾期数量，可以按专业统计

前端参数备注
维保按本月统计  //时间参数由前端传入
第三方检测、专维  都是以本年为维度   //时间参数由前端传入

```


参数说明
```
plazaId="1000423"//广场id 必填
type=0// 统计类型 0：专维 1：维保任务 2：第三方视图 //必填
statisticsDate=202006//统计时间 type=0或type=2时:格式：yyyy  /  type=1时:格式：yyyyMM //必填
smsxt=1001//所属专业 (选填) //不填则默认全部专业（系统）
```

返回结果

```json

{
    "result": "success",
    "data":{
        "total":19, //总任务
         "due_num":3, //即将逾期数量
         "unfinished":5, //未完成数量
     }
           
}
```

####  新增接口 表格模板上传
```
请求地址 Post /data/file/uploadExcelTemplate?plazaId=1000423
```
备注
```
限制上传文件大小和格式，只允许表格的格式，文件名保持和上传的一致
```

参数说明
```
smsxt=1001//所属专业 必填
file: //文件 必填

```
返回结果

```json

{
    "result": "success"
      
}
```

####  新增接口 表格上传
```
请求地址 Post /data/file/uploadExcel?plazaId=1000423
```
备注
```
限制上传文件大小和格式，只允许表格的格式，文件名保持和上传的一致
```

参数说明
```
plazaId="1000423"//广场id 必填
smsxt=1001//所属专业 必填
floor = f1 //楼层 必填
file: //文件 必填

```
返回结果

```json

{
    "result": "success"
      
}
```

#### 新增接口 表格下载
```
请求地址 get /data/file/downloadExcel?plazaId=1000423
```
参数说明
```
plazaId="1000423"//广场id 必填
smsxt=1001//所属专业 必填
floor = f1 //楼层 必填

```
返回结果

```json

  response 文件

 如果没有则返回默认模板
```

~~####  新增接口 表格预览~~ 废弃
```
请求地址 get /data/file/showExcel?plazaId=1000423
```
备注
```
正常返回结果无乱码
```

参数说明
```
plazaId="1000423"//广场id 必填
smsxt=1001//所属专业 必填
floor = f1 //楼层 必填

```
返回结果

```json

  文件流
如果没有则返回默认模板
```
